> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Render Card for Email



## OpenAPI

````yaml /openapi/product/scheduled-reports-api.yaml post /api/content/v1/reportschedules/card-email-data
openapi: 3.1.0
info:
  title: Scheduled Reports API
  version: 1.0.0
  description: Scheduled Reports API
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain.
security:
  - DomoDeveloperToken: []
paths:
  /api/content/v1/reportschedules/card-email-data:
    post:
      tags:
        - Scheduled Reports API
      summary: Render Card for Email
      operationId: renderCardForEmail
      requestBody:
        description: Array of integers (card IDs)
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: integer
            examples:
              example:
                value:
                  - 123
                  - 456
                  - 789
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  $ref: '#/components/schemas/CardEmailData'
              examples:
                example:
                  value:
                    additionalProperties:
                      title: Sample Card
                      encodedImage: base64string
                      encodedImageId: img123
                      timeframeLabel: Last 30 Days
                      summaryNumberValue: 10,000
                      summaryNumberLabel: Total Sales
                      htmlContent: <div>Card content</div>
                      cardType: kpi
                      cardLink: https://instance.domo.com/cards/123
                      pdpEnabled: true
                      certified: true
                      companyCertified: false
        '403':
          description: Forbidden
        '409':
          description: Conflict
components:
  schemas:
    CardEmailData:
      type: object
      properties:
        title:
          type: string
        encodedImage:
          type: string
        encodedImageId:
          type: string
        timeframeLabel:
          type: string
        summaryNumberValue:
          type: string
        summaryNumberLabel:
          type: string
        htmlContent:
          type: string
        cardType:
          type: string
        cardLink:
          type: string
        pdpEnabled:
          type: boolean
        certified:
          type: boolean
        companyCertified:
          type: boolean
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````